"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function verboseLog(message) {
    logMessage(message, 0 /* Verbose */);
}
exports.verboseLog = verboseLog;
function normalLog(message) {
    logMessage(message, 1 /* Normal */);
}
exports.normalLog = normalLog;
function errorLog(message) {
    logMessage(message, 2 /* Error */);
}
exports.errorLog = errorLog;
var currentLogLevel = 1 /* Normal */;
function enableVerbose() {
    currentLogLevel = 0 /* Verbose */;
    normalLog('Verbose log enabled');
}
exports.enableVerbose = enableVerbose;
function logMessage(message, level) {
    if (level === void 0) { level = 0 /* Verbose */; }
    if (level < currentLogLevel) {
        return;
    }
    switch (level) {
        case 2 /* Error */:
            console.error(message);
            break;
        case 1 /* Normal */:
        case 0 /* Verbose */:
            console.log(message);
    }
}
